<?php


abstract class BaseComisionadosContratoPeer {

	
	const DATABASE_NAME = 'propel';

	
	const TABLE_NAME = 'COMISIONADOS_CONTRATO';

	
	const CLASS_DEFAULT = 'lib.model.ComisionadosContrato';

	
	const NUM_COLUMNS = 14;

	
	const NUM_LAZY_LOAD_COLUMNS = 0;


	
	const ID_COMISION = 'COMISIONADOS_CONTRATO.ID_COMISION';

	
	const NITOCC = 'COMISIONADOS_CONTRATO.NITOCC';

	
	const ID_TRANSPORTE = 'COMISIONADOS_CONTRATO.ID_TRANSPORTE';

	
	const SUELDO = 'COMISIONADOS_CONTRATO.SUELDO';

	
	const CARGO = 'COMISIONADOS_CONTRATO.CARGO';

	
	const FECHA_SALIDA = 'COMISIONADOS_CONTRATO.FECHA_SALIDA';

	
	const DIAS = 'COMISIONADOS_CONTRATO.DIAS';

	
	const CODREG = 'COMISIONADOS_CONTRATO.CODREG';

	
	const TOTAL_COMISION = 'COMISIONADOS_CONTRATO.TOTAL_COMISION';

	
	const ESTADO = 'COMISIONADOS_CONTRATO.ESTADO';

	
	const FECHA_REGRESO = 'COMISIONADOS_CONTRATO.FECHA_REGRESO';

	
	const VIGENCIA = 'COMISIONADOS_CONTRATO.VIGENCIA';

	
	const GASTOS_TAXIS = 'COMISIONADOS_CONTRATO.GASTOS_TAXIS';

	
	const DIAS_MANU = 'COMISIONADOS_CONTRATO.DIAS_MANU';

	
	private static $phpNameMap = null;


	
	private static $fieldNames = array (
		BasePeer::TYPE_PHPNAME => array ('IdComision', 'Nitocc', 'IdTransporte', 'Sueldo', 'Cargo', 'FechaSalida', 'Dias', 'Codreg', 'TotalComision', 'Estado', 'FechaRegreso', 'Vigencia', 'GastosTaxis', 'DiasManu', ),
		BasePeer::TYPE_COLNAME => array (ComisionadosContratoPeer::ID_COMISION, ComisionadosContratoPeer::NITOCC, ComisionadosContratoPeer::ID_TRANSPORTE, ComisionadosContratoPeer::SUELDO, ComisionadosContratoPeer::CARGO, ComisionadosContratoPeer::FECHA_SALIDA, ComisionadosContratoPeer::DIAS, ComisionadosContratoPeer::CODREG, ComisionadosContratoPeer::TOTAL_COMISION, ComisionadosContratoPeer::ESTADO, ComisionadosContratoPeer::FECHA_REGRESO, ComisionadosContratoPeer::VIGENCIA, ComisionadosContratoPeer::GASTOS_TAXIS, ComisionadosContratoPeer::DIAS_MANU, ),
		BasePeer::TYPE_FIELDNAME => array ('ID_COMISION', 'NITOCC', 'ID_TRANSPORTE', 'SUELDO', 'CARGO', 'FECHA_SALIDA', 'DIAS', 'CODREG', 'TOTAL_COMISION', 'ESTADO', 'FECHA_REGRESO', 'VIGENCIA', 'GASTOS_TAXIS', 'DIAS_MANU', ),
		BasePeer::TYPE_NUM => array (0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, )
	);

	
	private static $fieldKeys = array (
		BasePeer::TYPE_PHPNAME => array ('IdComision' => 0, 'Nitocc' => 1, 'IdTransporte' => 2, 'Sueldo' => 3, 'Cargo' => 4, 'FechaSalida' => 5, 'Dias' => 6, 'Codreg' => 7, 'TotalComision' => 8, 'Estado' => 9, 'FechaRegreso' => 10, 'Vigencia' => 11, 'GastosTaxis' => 12, 'DiasManu' => 13, ),
		BasePeer::TYPE_COLNAME => array (ComisionadosContratoPeer::ID_COMISION => 0, ComisionadosContratoPeer::NITOCC => 1, ComisionadosContratoPeer::ID_TRANSPORTE => 2, ComisionadosContratoPeer::SUELDO => 3, ComisionadosContratoPeer::CARGO => 4, ComisionadosContratoPeer::FECHA_SALIDA => 5, ComisionadosContratoPeer::DIAS => 6, ComisionadosContratoPeer::CODREG => 7, ComisionadosContratoPeer::TOTAL_COMISION => 8, ComisionadosContratoPeer::ESTADO => 9, ComisionadosContratoPeer::FECHA_REGRESO => 10, ComisionadosContratoPeer::VIGENCIA => 11, ComisionadosContratoPeer::GASTOS_TAXIS => 12, ComisionadosContratoPeer::DIAS_MANU => 13, ),
		BasePeer::TYPE_FIELDNAME => array ('ID_COMISION' => 0, 'NITOCC' => 1, 'ID_TRANSPORTE' => 2, 'SUELDO' => 3, 'CARGO' => 4, 'FECHA_SALIDA' => 5, 'DIAS' => 6, 'CODREG' => 7, 'TOTAL_COMISION' => 8, 'ESTADO' => 9, 'FECHA_REGRESO' => 10, 'VIGENCIA' => 11, 'GASTOS_TAXIS' => 12, 'DIAS_MANU' => 13, ),
		BasePeer::TYPE_NUM => array (0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, )
	);

	
	public static function getMapBuilder()
	{
		return BasePeer::getMapBuilder('lib.model.map.ComisionadosContratoMapBuilder');
	}
	
	public static function getPhpNameMap()
	{
		if (self::$phpNameMap === null) {
			$map = ComisionadosContratoPeer::getTableMap();
			$columns = $map->getColumns();
			$nameMap = array();
			foreach ($columns as $column) {
				$nameMap[$column->getPhpName()] = $column->getColumnName();
			}
			self::$phpNameMap = $nameMap;
		}
		return self::$phpNameMap;
	}
	
	static public function translateFieldName($name, $fromType, $toType)
	{
		$toNames = self::getFieldNames($toType);
		$key = isset(self::$fieldKeys[$fromType][$name]) ? self::$fieldKeys[$fromType][$name] : null;
		if ($key === null) {
			throw new PropelException("'$name' could not be found in the field names of type '$fromType'. These are: " . print_r(self::$fieldKeys[$fromType], true));
		}
		return $toNames[$key];
	}

	

	static public function getFieldNames($type = BasePeer::TYPE_PHPNAME)
	{
		if (!array_key_exists($type, self::$fieldNames)) {
			throw new PropelException('Method getFieldNames() expects the parameter $type to be one of the class constants TYPE_PHPNAME, TYPE_COLNAME, TYPE_FIELDNAME, TYPE_NUM. ' . $type . ' was given.');
		}
		return self::$fieldNames[$type];
	}

	
	public static function alias($alias, $column)
	{
		return str_replace(ComisionadosContratoPeer::TABLE_NAME.'.', $alias.'.', $column);
	}

	
	public static function addSelectColumns(Criteria $criteria)
	{

		$criteria->addSelectColumn(ComisionadosContratoPeer::ID_COMISION);

		$criteria->addSelectColumn(ComisionadosContratoPeer::NITOCC);

		$criteria->addSelectColumn(ComisionadosContratoPeer::ID_TRANSPORTE);

		$criteria->addSelectColumn(ComisionadosContratoPeer::SUELDO);

		$criteria->addSelectColumn(ComisionadosContratoPeer::CARGO);

		$criteria->addSelectColumn(ComisionadosContratoPeer::FECHA_SALIDA);

		$criteria->addSelectColumn(ComisionadosContratoPeer::DIAS);

		$criteria->addSelectColumn(ComisionadosContratoPeer::CODREG);

		$criteria->addSelectColumn(ComisionadosContratoPeer::TOTAL_COMISION);

		$criteria->addSelectColumn(ComisionadosContratoPeer::ESTADO);

		$criteria->addSelectColumn(ComisionadosContratoPeer::FECHA_REGRESO);

		$criteria->addSelectColumn(ComisionadosContratoPeer::VIGENCIA);

		$criteria->addSelectColumn(ComisionadosContratoPeer::GASTOS_TAXIS);

		$criteria->addSelectColumn(ComisionadosContratoPeer::DIAS_MANU);

	}

	const COUNT = 'COUNT(COMISIONADOS_CONTRATO.ID_COMISION)';
	const COUNT_DISTINCT = 'COUNT(DISTINCT COMISIONADOS_CONTRATO.ID_COMISION)';

	
	public static function doCount(Criteria $criteria, $distinct = false, $con = null)
	{
				$criteria = clone $criteria;

				$criteria->clearSelectColumns()->clearOrderByColumns();
		if ($distinct || in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->addSelectColumn(ComisionadosContratoPeer::COUNT_DISTINCT);
		} else {
			$criteria->addSelectColumn(ComisionadosContratoPeer::COUNT);
		}

				foreach($criteria->getGroupByColumns() as $column)
		{
			$criteria->addSelectColumn($column);
		}

		$rs = ComisionadosContratoPeer::doSelectRS($criteria, $con);
		if ($rs->next()) {
			return $rs->getInt(1);
		} else {
						return 0;
		}
	}
	
	public static function doSelectOne(Criteria $criteria, $con = null)
	{
		$critcopy = clone $criteria;
		$critcopy->setLimit(1);
		$objects = ComisionadosContratoPeer::doSelect($critcopy, $con);
		if ($objects) {
			return $objects[0];
		}
		return null;
	}
	
	public static function doSelect(Criteria $criteria, $con = null)
	{
		return ComisionadosContratoPeer::populateObjects(ComisionadosContratoPeer::doSelectRS($criteria, $con));
	}
	
	public static function doSelectRS(Criteria $criteria, $con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(self::DATABASE_NAME);
		}

		if (!$criteria->getSelectColumns()) {
			$criteria = clone $criteria;
			ComisionadosContratoPeer::addSelectColumns($criteria);
		}

				$criteria->setDbName(self::DATABASE_NAME);

						return BasePeer::doSelect($criteria, $con);
	}
	
	public static function populateObjects(ResultSet $rs)
	{
		$results = array();
	
				$cls = ComisionadosContratoPeer::getOMClass();
		$cls = sfPropel::import($cls);
				while($rs->next()) {
		
			$obj = new $cls();
			$obj->hydrate($rs);
			$results[] = $obj;
			
		}
		return $results;
	}

	
	public static function doCountJoinTerceros(Criteria $criteria, $distinct = false, $con = null)
	{
				$criteria = clone $criteria;

				$criteria->clearSelectColumns()->clearOrderByColumns();
		if ($distinct || in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->addSelectColumn(ComisionadosContratoPeer::COUNT_DISTINCT);
		} else {
			$criteria->addSelectColumn(ComisionadosContratoPeer::COUNT);
		}

				foreach($criteria->getGroupByColumns() as $column)
		{
			$criteria->addSelectColumn($column);
		}

		$criteria->addJoin(ComisionadosContratoPeer::NITOCC, TercerosPeer::NITOCC);

		$rs = ComisionadosContratoPeer::doSelectRS($criteria, $con);
		if ($rs->next()) {
			return $rs->getInt(1);
		} else {
						return 0;
		}
	}


	
	public static function doCountJoinTransportes(Criteria $criteria, $distinct = false, $con = null)
	{
				$criteria = clone $criteria;

				$criteria->clearSelectColumns()->clearOrderByColumns();
		if ($distinct || in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->addSelectColumn(ComisionadosContratoPeer::COUNT_DISTINCT);
		} else {
			$criteria->addSelectColumn(ComisionadosContratoPeer::COUNT);
		}

				foreach($criteria->getGroupByColumns() as $column)
		{
			$criteria->addSelectColumn($column);
		}

		$criteria->addJoin(ComisionadosContratoPeer::ID_TRANSPORTE, TransportesPeer::ID);

		$rs = ComisionadosContratoPeer::doSelectRS($criteria, $con);
		if ($rs->next()) {
			return $rs->getInt(1);
		} else {
						return 0;
		}
	}


	
	public static function doCountJoinRegionales(Criteria $criteria, $distinct = false, $con = null)
	{
				$criteria = clone $criteria;

				$criteria->clearSelectColumns()->clearOrderByColumns();
		if ($distinct || in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->addSelectColumn(ComisionadosContratoPeer::COUNT_DISTINCT);
		} else {
			$criteria->addSelectColumn(ComisionadosContratoPeer::COUNT);
		}

				foreach($criteria->getGroupByColumns() as $column)
		{
			$criteria->addSelectColumn($column);
		}

		$criteria->addJoin(ComisionadosContratoPeer::CODREG, RegionalesPeer::CODREG);

		$rs = ComisionadosContratoPeer::doSelectRS($criteria, $con);
		if ($rs->next()) {
			return $rs->getInt(1);
		} else {
						return 0;
		}
	}


	
	public static function doCountJoinComisiones(Criteria $criteria, $distinct = false, $con = null)
	{
				$criteria = clone $criteria;

				$criteria->clearSelectColumns()->clearOrderByColumns();
		if ($distinct || in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->addSelectColumn(ComisionadosContratoPeer::COUNT_DISTINCT);
		} else {
			$criteria->addSelectColumn(ComisionadosContratoPeer::COUNT);
		}

				foreach($criteria->getGroupByColumns() as $column)
		{
			$criteria->addSelectColumn($column);
		}

		$criteria->addJoin(ComisionadosContratoPeer::ID_COMISION, ComisionesPeer::VIGENCIA);

		$criteria->addJoin(ComisionadosContratoPeer::ID_COMISION, ComisionesPeer::VIGENCIA);

		$criteria->addJoin(ComisionadosContratoPeer::VIGENCIA, ComisionesPeer::VIGENCIA);

		$criteria->addJoin(ComisionadosContratoPeer::VIGENCIA, ComisionesPeer::VIGENCIA);

		$rs = ComisionadosContratoPeer::doSelectRS($criteria, $con);
		if ($rs->next()) {
			return $rs->getInt(1);
		} else {
						return 0;
		}
	}


	
	public static function doSelectJoinTerceros(Criteria $c, $con = null)
	{
		$c = clone $c;

				if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		ComisionadosContratoPeer::addSelectColumns($c);
		$startcol = (ComisionadosContratoPeer::NUM_COLUMNS - ComisionadosContratoPeer::NUM_LAZY_LOAD_COLUMNS) + 1;
		TercerosPeer::addSelectColumns($c);

		$c->addJoin(ComisionadosContratoPeer::NITOCC, TercerosPeer::NITOCC);
		$rs = BasePeer::doSelect($c, $con);
		$results = array();

		while($rs->next()) {

			$omClass = ComisionadosContratoPeer::getOMClass();

			$cls = sfPropel::import($omClass);
			$obj1 = new $cls();
			$obj1->hydrate($rs);

			$omClass = TercerosPeer::getOMClass();

			$cls = sfPropel::import($omClass);
			$obj2 = new $cls();
			$obj2->hydrate($rs, $startcol);

			$newObject = true;
			foreach($results as $temp_obj1) {
				$temp_obj2 = $temp_obj1->getTerceros(); 				if ($temp_obj2->getPrimaryKey() === $obj2->getPrimaryKey()) {
					$newObject = false;
										$temp_obj2->addComisionadosContrato($obj1); 					break;
				}
			}
			if ($newObject) {
				$obj2->initComisionadosContratos();
				$obj2->addComisionadosContrato($obj1); 			}
			$results[] = $obj1;
		}
		return $results;
	}


	
	public static function doSelectJoinTransportes(Criteria $c, $con = null)
	{
		$c = clone $c;

				if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		ComisionadosContratoPeer::addSelectColumns($c);
		$startcol = (ComisionadosContratoPeer::NUM_COLUMNS - ComisionadosContratoPeer::NUM_LAZY_LOAD_COLUMNS) + 1;
		TransportesPeer::addSelectColumns($c);

		$c->addJoin(ComisionadosContratoPeer::ID_TRANSPORTE, TransportesPeer::ID);
		$rs = BasePeer::doSelect($c, $con);
		$results = array();

		while($rs->next()) {

			$omClass = ComisionadosContratoPeer::getOMClass();

			$cls = sfPropel::import($omClass);
			$obj1 = new $cls();
			$obj1->hydrate($rs);

			$omClass = TransportesPeer::getOMClass();

			$cls = sfPropel::import($omClass);
			$obj2 = new $cls();
			$obj2->hydrate($rs, $startcol);

			$newObject = true;
			foreach($results as $temp_obj1) {
				$temp_obj2 = $temp_obj1->getTransportes(); 				if ($temp_obj2->getPrimaryKey() === $obj2->getPrimaryKey()) {
					$newObject = false;
										$temp_obj2->addComisionadosContrato($obj1); 					break;
				}
			}
			if ($newObject) {
				$obj2->initComisionadosContratos();
				$obj2->addComisionadosContrato($obj1); 			}
			$results[] = $obj1;
		}
		return $results;
	}


	
	public static function doSelectJoinRegionales(Criteria $c, $con = null)
	{
		$c = clone $c;

				if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		ComisionadosContratoPeer::addSelectColumns($c);
		$startcol = (ComisionadosContratoPeer::NUM_COLUMNS - ComisionadosContratoPeer::NUM_LAZY_LOAD_COLUMNS) + 1;
		RegionalesPeer::addSelectColumns($c);

		$c->addJoin(ComisionadosContratoPeer::CODREG, RegionalesPeer::CODREG);
		$rs = BasePeer::doSelect($c, $con);
		$results = array();

		while($rs->next()) {

			$omClass = ComisionadosContratoPeer::getOMClass();

			$cls = sfPropel::import($omClass);
			$obj1 = new $cls();
			$obj1->hydrate($rs);

			$omClass = RegionalesPeer::getOMClass();

			$cls = sfPropel::import($omClass);
			$obj2 = new $cls();
			$obj2->hydrate($rs, $startcol);

			$newObject = true;
			foreach($results as $temp_obj1) {
				$temp_obj2 = $temp_obj1->getRegionales(); 				if ($temp_obj2->getPrimaryKey() === $obj2->getPrimaryKey()) {
					$newObject = false;
										$temp_obj2->addComisionadosContrato($obj1); 					break;
				}
			}
			if ($newObject) {
				$obj2->initComisionadosContratos();
				$obj2->addComisionadosContrato($obj1); 			}
			$results[] = $obj1;
		}
		return $results;
	}


	
	public static function doSelectJoinComisiones(Criteria $c, $con = null)
	{
		$c = clone $c;

				if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		ComisionadosContratoPeer::addSelectColumns($c);
		$startcol = (ComisionadosContratoPeer::NUM_COLUMNS - ComisionadosContratoPeer::NUM_LAZY_LOAD_COLUMNS) + 1;
		ComisionesPeer::addSelectColumns($c);

		$c->addJoin(ComisionadosContratoPeer::ID_COMISION, ComisionesPeer::VIGENCIA);
		$c->addJoin(ComisionadosContratoPeer::ID_COMISION, ComisionesPeer::VIGENCIA);
		$c->addJoin(ComisionadosContratoPeer::VIGENCIA, ComisionesPeer::VIGENCIA);
		$c->addJoin(ComisionadosContratoPeer::VIGENCIA, ComisionesPeer::VIGENCIA);
		$rs = BasePeer::doSelect($c, $con);
		$results = array();

		while($rs->next()) {

			$omClass = ComisionadosContratoPeer::getOMClass();

			$cls = sfPropel::import($omClass);
			$obj1 = new $cls();
			$obj1->hydrate($rs);

			$omClass = ComisionesPeer::getOMClass();

			$cls = sfPropel::import($omClass);
			$obj2 = new $cls();
			$obj2->hydrate($rs, $startcol);

			$newObject = true;
			foreach($results as $temp_obj1) {
				$temp_obj2 = $temp_obj1->getComisiones(); 				if ($temp_obj2->getPrimaryKey() === $obj2->getPrimaryKey()) {
					$newObject = false;
										$temp_obj2->addComisionadosContrato($obj1); 					break;
				}
			}
			if ($newObject) {
				$obj2->initComisionadosContratos();
				$obj2->addComisionadosContrato($obj1); 			}
			$results[] = $obj1;
		}
		return $results;
	}


	
	public static function doCountJoinAll(Criteria $criteria, $distinct = false, $con = null)
	{
		$criteria = clone $criteria;

				$criteria->clearSelectColumns()->clearOrderByColumns();
		if ($distinct || in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->addSelectColumn(ComisionadosContratoPeer::COUNT_DISTINCT);
		} else {
			$criteria->addSelectColumn(ComisionadosContratoPeer::COUNT);
		}

				foreach($criteria->getGroupByColumns() as $column)
		{
			$criteria->addSelectColumn($column);
		}

		$criteria->addJoin(ComisionadosContratoPeer::NITOCC, TercerosPeer::NITOCC);

		$criteria->addJoin(ComisionadosContratoPeer::ID_TRANSPORTE, TransportesPeer::ID);

		$criteria->addJoin(ComisionadosContratoPeer::CODREG, RegionalesPeer::CODREG);

		$criteria->addJoin(ComisionadosContratoPeer::ID_COMISION, ComisionesPeer::VIGENCIA);

		$criteria->addJoin(ComisionadosContratoPeer::ID_COMISION, ComisionesPeer::VIGENCIA);

		$criteria->addJoin(ComisionadosContratoPeer::VIGENCIA, ComisionesPeer::VIGENCIA);

		$criteria->addJoin(ComisionadosContratoPeer::VIGENCIA, ComisionesPeer::VIGENCIA);

		$rs = ComisionadosContratoPeer::doSelectRS($criteria, $con);
		if ($rs->next()) {
			return $rs->getInt(1);
		} else {
						return 0;
		}
	}


	
	public static function doSelectJoinAll(Criteria $c, $con = null)
	{
		$c = clone $c;

				if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		ComisionadosContratoPeer::addSelectColumns($c);
		$startcol2 = (ComisionadosContratoPeer::NUM_COLUMNS - ComisionadosContratoPeer::NUM_LAZY_LOAD_COLUMNS) + 1;

		TercerosPeer::addSelectColumns($c);
		$startcol3 = $startcol2 + TercerosPeer::NUM_COLUMNS;

		TransportesPeer::addSelectColumns($c);
		$startcol4 = $startcol3 + TransportesPeer::NUM_COLUMNS;

		RegionalesPeer::addSelectColumns($c);
		$startcol5 = $startcol4 + RegionalesPeer::NUM_COLUMNS;

		ComisionesPeer::addSelectColumns($c);
		$startcol6 = $startcol5 + ComisionesPeer::NUM_COLUMNS;

		$c->addJoin(ComisionadosContratoPeer::NITOCC, TercerosPeer::NITOCC);

		$c->addJoin(ComisionadosContratoPeer::ID_TRANSPORTE, TransportesPeer::ID);

		$c->addJoin(ComisionadosContratoPeer::CODREG, RegionalesPeer::CODREG);

		$c->addJoin(ComisionadosContratoPeer::ID_COMISION, ComisionesPeer::VIGENCIA);

		$c->addJoin(ComisionadosContratoPeer::ID_COMISION, ComisionesPeer::VIGENCIA);

		$c->addJoin(ComisionadosContratoPeer::VIGENCIA, ComisionesPeer::VIGENCIA);

		$c->addJoin(ComisionadosContratoPeer::VIGENCIA, ComisionesPeer::VIGENCIA);

		$rs = BasePeer::doSelect($c, $con);
		$results = array();

		while($rs->next()) {

			$omClass = ComisionadosContratoPeer::getOMClass();


			$cls = sfPropel::import($omClass);
			$obj1 = new $cls();
			$obj1->hydrate($rs);


					
			$omClass = TercerosPeer::getOMClass();


			$cls = sfPropel::import($omClass);
			$obj2 = new $cls();
			$obj2->hydrate($rs, $startcol2);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj2 = $temp_obj1->getTerceros(); 				if ($temp_obj2->getPrimaryKey() === $obj2->getPrimaryKey()) {
					$newObject = false;
					$temp_obj2->addComisionadosContrato($obj1); 					break;
				}
			}

			if ($newObject) {
				$obj2->initComisionadosContratos();
				$obj2->addComisionadosContrato($obj1);
			}


					
			$omClass = TransportesPeer::getOMClass();


			$cls = sfPropel::import($omClass);
			$obj3 = new $cls();
			$obj3->hydrate($rs, $startcol3);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj3 = $temp_obj1->getTransportes(); 				if ($temp_obj3->getPrimaryKey() === $obj3->getPrimaryKey()) {
					$newObject = false;
					$temp_obj3->addComisionadosContrato($obj1); 					break;
				}
			}

			if ($newObject) {
				$obj3->initComisionadosContratos();
				$obj3->addComisionadosContrato($obj1);
			}


					
			$omClass = RegionalesPeer::getOMClass();


			$cls = sfPropel::import($omClass);
			$obj4 = new $cls();
			$obj4->hydrate($rs, $startcol4);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj4 = $temp_obj1->getRegionales(); 				if ($temp_obj4->getPrimaryKey() === $obj4->getPrimaryKey()) {
					$newObject = false;
					$temp_obj4->addComisionadosContrato($obj1); 					break;
				}
			}

			if ($newObject) {
				$obj4->initComisionadosContratos();
				$obj4->addComisionadosContrato($obj1);
			}


					
			$omClass = ComisionesPeer::getOMClass();


			$cls = sfPropel::import($omClass);
			$obj5 = new $cls();
			$obj5->hydrate($rs, $startcol5);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj5 = $temp_obj1->getComisiones(); 				if ($temp_obj5->getPrimaryKey() === $obj5->getPrimaryKey()) {
					$newObject = false;
					$temp_obj5->addComisionadosContrato($obj1); 					break;
				}
			}

			if ($newObject) {
				$obj5->initComisionadosContratos();
				$obj5->addComisionadosContrato($obj1);
			}

			$results[] = $obj1;
		}
		return $results;
	}


	
	public static function doCountJoinAllExceptTerceros(Criteria $criteria, $distinct = false, $con = null)
	{
				$criteria = clone $criteria;

				$criteria->clearSelectColumns()->clearOrderByColumns();
		if ($distinct || in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->addSelectColumn(ComisionadosContratoPeer::COUNT_DISTINCT);
		} else {
			$criteria->addSelectColumn(ComisionadosContratoPeer::COUNT);
		}

				foreach($criteria->getGroupByColumns() as $column)
		{
			$criteria->addSelectColumn($column);
		}

		$criteria->addJoin(ComisionadosContratoPeer::ID_TRANSPORTE, TransportesPeer::ID);

		$criteria->addJoin(ComisionadosContratoPeer::CODREG, RegionalesPeer::CODREG);

		$criteria->addJoin(ComisionadosContratoPeer::ID_COMISION, ComisionesPeer::VIGENCIA);

		$criteria->addJoin(ComisionadosContratoPeer::ID_COMISION, ComisionesPeer::VIGENCIA);

		$criteria->addJoin(ComisionadosContratoPeer::VIGENCIA, ComisionesPeer::VIGENCIA);

		$criteria->addJoin(ComisionadosContratoPeer::VIGENCIA, ComisionesPeer::VIGENCIA);

		$rs = ComisionadosContratoPeer::doSelectRS($criteria, $con);
		if ($rs->next()) {
			return $rs->getInt(1);
		} else {
						return 0;
		}
	}


	
	public static function doCountJoinAllExceptTransportes(Criteria $criteria, $distinct = false, $con = null)
	{
				$criteria = clone $criteria;

				$criteria->clearSelectColumns()->clearOrderByColumns();
		if ($distinct || in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->addSelectColumn(ComisionadosContratoPeer::COUNT_DISTINCT);
		} else {
			$criteria->addSelectColumn(ComisionadosContratoPeer::COUNT);
		}

				foreach($criteria->getGroupByColumns() as $column)
		{
			$criteria->addSelectColumn($column);
		}

		$criteria->addJoin(ComisionadosContratoPeer::NITOCC, TercerosPeer::NITOCC);

		$criteria->addJoin(ComisionadosContratoPeer::CODREG, RegionalesPeer::CODREG);

		$criteria->addJoin(ComisionadosContratoPeer::ID_COMISION, ComisionesPeer::VIGENCIA);

		$criteria->addJoin(ComisionadosContratoPeer::ID_COMISION, ComisionesPeer::VIGENCIA);

		$criteria->addJoin(ComisionadosContratoPeer::VIGENCIA, ComisionesPeer::VIGENCIA);

		$criteria->addJoin(ComisionadosContratoPeer::VIGENCIA, ComisionesPeer::VIGENCIA);

		$rs = ComisionadosContratoPeer::doSelectRS($criteria, $con);
		if ($rs->next()) {
			return $rs->getInt(1);
		} else {
						return 0;
		}
	}


	
	public static function doCountJoinAllExceptRegionales(Criteria $criteria, $distinct = false, $con = null)
	{
				$criteria = clone $criteria;

				$criteria->clearSelectColumns()->clearOrderByColumns();
		if ($distinct || in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->addSelectColumn(ComisionadosContratoPeer::COUNT_DISTINCT);
		} else {
			$criteria->addSelectColumn(ComisionadosContratoPeer::COUNT);
		}

				foreach($criteria->getGroupByColumns() as $column)
		{
			$criteria->addSelectColumn($column);
		}

		$criteria->addJoin(ComisionadosContratoPeer::NITOCC, TercerosPeer::NITOCC);

		$criteria->addJoin(ComisionadosContratoPeer::ID_TRANSPORTE, TransportesPeer::ID);

		$criteria->addJoin(ComisionadosContratoPeer::ID_COMISION, ComisionesPeer::VIGENCIA);

		$criteria->addJoin(ComisionadosContratoPeer::ID_COMISION, ComisionesPeer::VIGENCIA);

		$criteria->addJoin(ComisionadosContratoPeer::VIGENCIA, ComisionesPeer::VIGENCIA);

		$criteria->addJoin(ComisionadosContratoPeer::VIGENCIA, ComisionesPeer::VIGENCIA);

		$rs = ComisionadosContratoPeer::doSelectRS($criteria, $con);
		if ($rs->next()) {
			return $rs->getInt(1);
		} else {
						return 0;
		}
	}


	
	public static function doCountJoinAllExceptComisiones(Criteria $criteria, $distinct = false, $con = null)
	{
				$criteria = clone $criteria;

				$criteria->clearSelectColumns()->clearOrderByColumns();
		if ($distinct || in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->addSelectColumn(ComisionadosContratoPeer::COUNT_DISTINCT);
		} else {
			$criteria->addSelectColumn(ComisionadosContratoPeer::COUNT);
		}

				foreach($criteria->getGroupByColumns() as $column)
		{
			$criteria->addSelectColumn($column);
		}

		$criteria->addJoin(ComisionadosContratoPeer::NITOCC, TercerosPeer::NITOCC);

		$criteria->addJoin(ComisionadosContratoPeer::ID_TRANSPORTE, TransportesPeer::ID);

		$criteria->addJoin(ComisionadosContratoPeer::CODREG, RegionalesPeer::CODREG);

		$rs = ComisionadosContratoPeer::doSelectRS($criteria, $con);
		if ($rs->next()) {
			return $rs->getInt(1);
		} else {
						return 0;
		}
	}


	
	public static function doSelectJoinAllExceptTerceros(Criteria $c, $con = null)
	{
		$c = clone $c;

								if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		ComisionadosContratoPeer::addSelectColumns($c);
		$startcol2 = (ComisionadosContratoPeer::NUM_COLUMNS - ComisionadosContratoPeer::NUM_LAZY_LOAD_COLUMNS) + 1;

		TransportesPeer::addSelectColumns($c);
		$startcol3 = $startcol2 + TransportesPeer::NUM_COLUMNS;

		RegionalesPeer::addSelectColumns($c);
		$startcol4 = $startcol3 + RegionalesPeer::NUM_COLUMNS;

		ComisionesPeer::addSelectColumns($c);
		$startcol5 = $startcol4 + ComisionesPeer::NUM_COLUMNS;

		$c->addJoin(ComisionadosContratoPeer::ID_TRANSPORTE, TransportesPeer::ID);

		$c->addJoin(ComisionadosContratoPeer::CODREG, RegionalesPeer::CODREG);

		$c->addJoin(ComisionadosContratoPeer::ID_COMISION, ComisionesPeer::VIGENCIA);

		$c->addJoin(ComisionadosContratoPeer::ID_COMISION, ComisionesPeer::VIGENCIA);

		$c->addJoin(ComisionadosContratoPeer::VIGENCIA, ComisionesPeer::VIGENCIA);

		$c->addJoin(ComisionadosContratoPeer::VIGENCIA, ComisionesPeer::VIGENCIA);


		$rs = BasePeer::doSelect($c, $con);
		$results = array();

		while($rs->next()) {

			$omClass = ComisionadosContratoPeer::getOMClass();

			$cls = sfPropel::import($omClass);
			$obj1 = new $cls();
			$obj1->hydrate($rs);

			$omClass = TransportesPeer::getOMClass();


			$cls = sfPropel::import($omClass);
			$obj2  = new $cls();
			$obj2->hydrate($rs, $startcol2);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj2 = $temp_obj1->getTransportes(); 				if ($temp_obj2->getPrimaryKey() === $obj2->getPrimaryKey()) {
					$newObject = false;
					$temp_obj2->addComisionadosContrato($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj2->initComisionadosContratos();
				$obj2->addComisionadosContrato($obj1);
			}

			$omClass = RegionalesPeer::getOMClass();


			$cls = sfPropel::import($omClass);
			$obj3  = new $cls();
			$obj3->hydrate($rs, $startcol3);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj3 = $temp_obj1->getRegionales(); 				if ($temp_obj3->getPrimaryKey() === $obj3->getPrimaryKey()) {
					$newObject = false;
					$temp_obj3->addComisionadosContrato($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj3->initComisionadosContratos();
				$obj3->addComisionadosContrato($obj1);
			}

			$omClass = ComisionesPeer::getOMClass();


			$cls = sfPropel::import($omClass);
			$obj4  = new $cls();
			$obj4->hydrate($rs, $startcol4);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj4 = $temp_obj1->getComisiones(); 				if ($temp_obj4->getPrimaryKey() === $obj4->getPrimaryKey()) {
					$newObject = false;
					$temp_obj4->addComisionadosContrato($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj4->initComisionadosContratos();
				$obj4->addComisionadosContrato($obj1);
			}

			$results[] = $obj1;
		}
		return $results;
	}


	
	public static function doSelectJoinAllExceptTransportes(Criteria $c, $con = null)
	{
		$c = clone $c;

								if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		ComisionadosContratoPeer::addSelectColumns($c);
		$startcol2 = (ComisionadosContratoPeer::NUM_COLUMNS - ComisionadosContratoPeer::NUM_LAZY_LOAD_COLUMNS) + 1;

		TercerosPeer::addSelectColumns($c);
		$startcol3 = $startcol2 + TercerosPeer::NUM_COLUMNS;

		RegionalesPeer::addSelectColumns($c);
		$startcol4 = $startcol3 + RegionalesPeer::NUM_COLUMNS;

		ComisionesPeer::addSelectColumns($c);
		$startcol5 = $startcol4 + ComisionesPeer::NUM_COLUMNS;

		$c->addJoin(ComisionadosContratoPeer::NITOCC, TercerosPeer::NITOCC);

		$c->addJoin(ComisionadosContratoPeer::CODREG, RegionalesPeer::CODREG);

		$c->addJoin(ComisionadosContratoPeer::ID_COMISION, ComisionesPeer::VIGENCIA);

		$c->addJoin(ComisionadosContratoPeer::ID_COMISION, ComisionesPeer::VIGENCIA);

		$c->addJoin(ComisionadosContratoPeer::VIGENCIA, ComisionesPeer::VIGENCIA);

		$c->addJoin(ComisionadosContratoPeer::VIGENCIA, ComisionesPeer::VIGENCIA);


		$rs = BasePeer::doSelect($c, $con);
		$results = array();

		while($rs->next()) {

			$omClass = ComisionadosContratoPeer::getOMClass();

			$cls = sfPropel::import($omClass);
			$obj1 = new $cls();
			$obj1->hydrate($rs);

			$omClass = TercerosPeer::getOMClass();


			$cls = sfPropel::import($omClass);
			$obj2  = new $cls();
			$obj2->hydrate($rs, $startcol2);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj2 = $temp_obj1->getTerceros(); 				if ($temp_obj2->getPrimaryKey() === $obj2->getPrimaryKey()) {
					$newObject = false;
					$temp_obj2->addComisionadosContrato($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj2->initComisionadosContratos();
				$obj2->addComisionadosContrato($obj1);
			}

			$omClass = RegionalesPeer::getOMClass();


			$cls = sfPropel::import($omClass);
			$obj3  = new $cls();
			$obj3->hydrate($rs, $startcol3);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj3 = $temp_obj1->getRegionales(); 				if ($temp_obj3->getPrimaryKey() === $obj3->getPrimaryKey()) {
					$newObject = false;
					$temp_obj3->addComisionadosContrato($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj3->initComisionadosContratos();
				$obj3->addComisionadosContrato($obj1);
			}

			$omClass = ComisionesPeer::getOMClass();


			$cls = sfPropel::import($omClass);
			$obj4  = new $cls();
			$obj4->hydrate($rs, $startcol4);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj4 = $temp_obj1->getComisiones(); 				if ($temp_obj4->getPrimaryKey() === $obj4->getPrimaryKey()) {
					$newObject = false;
					$temp_obj4->addComisionadosContrato($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj4->initComisionadosContratos();
				$obj4->addComisionadosContrato($obj1);
			}

			$results[] = $obj1;
		}
		return $results;
	}


	
	public static function doSelectJoinAllExceptRegionales(Criteria $c, $con = null)
	{
		$c = clone $c;

								if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		ComisionadosContratoPeer::addSelectColumns($c);
		$startcol2 = (ComisionadosContratoPeer::NUM_COLUMNS - ComisionadosContratoPeer::NUM_LAZY_LOAD_COLUMNS) + 1;

		TercerosPeer::addSelectColumns($c);
		$startcol3 = $startcol2 + TercerosPeer::NUM_COLUMNS;

		TransportesPeer::addSelectColumns($c);
		$startcol4 = $startcol3 + TransportesPeer::NUM_COLUMNS;

		ComisionesPeer::addSelectColumns($c);
		$startcol5 = $startcol4 + ComisionesPeer::NUM_COLUMNS;

		$c->addJoin(ComisionadosContratoPeer::NITOCC, TercerosPeer::NITOCC);

		$c->addJoin(ComisionadosContratoPeer::ID_TRANSPORTE, TransportesPeer::ID);

		$c->addJoin(ComisionadosContratoPeer::ID_COMISION, ComisionesPeer::VIGENCIA);

		$c->addJoin(ComisionadosContratoPeer::ID_COMISION, ComisionesPeer::VIGENCIA);

		$c->addJoin(ComisionadosContratoPeer::VIGENCIA, ComisionesPeer::VIGENCIA);

		$c->addJoin(ComisionadosContratoPeer::VIGENCIA, ComisionesPeer::VIGENCIA);


		$rs = BasePeer::doSelect($c, $con);
		$results = array();

		while($rs->next()) {

			$omClass = ComisionadosContratoPeer::getOMClass();

			$cls = sfPropel::import($omClass);
			$obj1 = new $cls();
			$obj1->hydrate($rs);

			$omClass = TercerosPeer::getOMClass();


			$cls = sfPropel::import($omClass);
			$obj2  = new $cls();
			$obj2->hydrate($rs, $startcol2);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj2 = $temp_obj1->getTerceros(); 				if ($temp_obj2->getPrimaryKey() === $obj2->getPrimaryKey()) {
					$newObject = false;
					$temp_obj2->addComisionadosContrato($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj2->initComisionadosContratos();
				$obj2->addComisionadosContrato($obj1);
			}

			$omClass = TransportesPeer::getOMClass();


			$cls = sfPropel::import($omClass);
			$obj3  = new $cls();
			$obj3->hydrate($rs, $startcol3);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj3 = $temp_obj1->getTransportes(); 				if ($temp_obj3->getPrimaryKey() === $obj3->getPrimaryKey()) {
					$newObject = false;
					$temp_obj3->addComisionadosContrato($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj3->initComisionadosContratos();
				$obj3->addComisionadosContrato($obj1);
			}

			$omClass = ComisionesPeer::getOMClass();


			$cls = sfPropel::import($omClass);
			$obj4  = new $cls();
			$obj4->hydrate($rs, $startcol4);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj4 = $temp_obj1->getComisiones(); 				if ($temp_obj4->getPrimaryKey() === $obj4->getPrimaryKey()) {
					$newObject = false;
					$temp_obj4->addComisionadosContrato($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj4->initComisionadosContratos();
				$obj4->addComisionadosContrato($obj1);
			}

			$results[] = $obj1;
		}
		return $results;
	}


	
	public static function doSelectJoinAllExceptComisiones(Criteria $c, $con = null)
	{
		$c = clone $c;

								if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		ComisionadosContratoPeer::addSelectColumns($c);
		$startcol2 = (ComisionadosContratoPeer::NUM_COLUMNS - ComisionadosContratoPeer::NUM_LAZY_LOAD_COLUMNS) + 1;

		TercerosPeer::addSelectColumns($c);
		$startcol3 = $startcol2 + TercerosPeer::NUM_COLUMNS;

		TransportesPeer::addSelectColumns($c);
		$startcol4 = $startcol3 + TransportesPeer::NUM_COLUMNS;

		RegionalesPeer::addSelectColumns($c);
		$startcol5 = $startcol4 + RegionalesPeer::NUM_COLUMNS;

		$c->addJoin(ComisionadosContratoPeer::NITOCC, TercerosPeer::NITOCC);

		$c->addJoin(ComisionadosContratoPeer::ID_TRANSPORTE, TransportesPeer::ID);

		$c->addJoin(ComisionadosContratoPeer::CODREG, RegionalesPeer::CODREG);


		$rs = BasePeer::doSelect($c, $con);
		$results = array();

		while($rs->next()) {

			$omClass = ComisionadosContratoPeer::getOMClass();

			$cls = sfPropel::import($omClass);
			$obj1 = new $cls();
			$obj1->hydrate($rs);

			$omClass = TercerosPeer::getOMClass();


			$cls = sfPropel::import($omClass);
			$obj2  = new $cls();
			$obj2->hydrate($rs, $startcol2);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj2 = $temp_obj1->getTerceros(); 				if ($temp_obj2->getPrimaryKey() === $obj2->getPrimaryKey()) {
					$newObject = false;
					$temp_obj2->addComisionadosContrato($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj2->initComisionadosContratos();
				$obj2->addComisionadosContrato($obj1);
			}

			$omClass = TransportesPeer::getOMClass();


			$cls = sfPropel::import($omClass);
			$obj3  = new $cls();
			$obj3->hydrate($rs, $startcol3);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj3 = $temp_obj1->getTransportes(); 				if ($temp_obj3->getPrimaryKey() === $obj3->getPrimaryKey()) {
					$newObject = false;
					$temp_obj3->addComisionadosContrato($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj3->initComisionadosContratos();
				$obj3->addComisionadosContrato($obj1);
			}

			$omClass = RegionalesPeer::getOMClass();


			$cls = sfPropel::import($omClass);
			$obj4  = new $cls();
			$obj4->hydrate($rs, $startcol4);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj4 = $temp_obj1->getRegionales(); 				if ($temp_obj4->getPrimaryKey() === $obj4->getPrimaryKey()) {
					$newObject = false;
					$temp_obj4->addComisionadosContrato($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj4->initComisionadosContratos();
				$obj4->addComisionadosContrato($obj1);
			}

			$results[] = $obj1;
		}
		return $results;
	}


  static public function getUniqueColumnNames()
  {
    return array();
  }
	
	public static function getTableMap()
	{
		return Propel::getDatabaseMap(self::DATABASE_NAME)->getTable(self::TABLE_NAME);
	}

	
	public static function getOMClass()
	{
		return ComisionadosContratoPeer::CLASS_DEFAULT;
	}

	
	public static function doInsert($values, $con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(self::DATABASE_NAME);
		}

		if ($values instanceof Criteria) {
			$criteria = clone $values; 		} else {
			$criteria = $values->buildCriteria(); 		}


				$criteria->setDbName(self::DATABASE_NAME);

		try {
									$con->begin();
			$pk = BasePeer::doInsert($criteria, $con);
			$con->commit();
		} catch(PropelException $e) {
			$con->rollback();
			throw $e;
		}

		return $pk;
	}

	
	public static function doUpdate($values, $con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(self::DATABASE_NAME);
		}

		$selectCriteria = new Criteria(self::DATABASE_NAME);

		if ($values instanceof Criteria) {
			$criteria = clone $values; 
			$comparison = $criteria->getComparison(ComisionadosContratoPeer::ID_COMISION);
			$selectCriteria->add(ComisionadosContratoPeer::ID_COMISION, $criteria->remove(ComisionadosContratoPeer::ID_COMISION), $comparison);

			$comparison = $criteria->getComparison(ComisionadosContratoPeer::NITOCC);
			$selectCriteria->add(ComisionadosContratoPeer::NITOCC, $criteria->remove(ComisionadosContratoPeer::NITOCC), $comparison);

			$comparison = $criteria->getComparison(ComisionadosContratoPeer::VIGENCIA);
			$selectCriteria->add(ComisionadosContratoPeer::VIGENCIA, $criteria->remove(ComisionadosContratoPeer::VIGENCIA), $comparison);

		} else { 			$criteria = $values->buildCriteria(); 			$selectCriteria = $values->buildPkeyCriteria(); 		}

				$criteria->setDbName(self::DATABASE_NAME);

		return BasePeer::doUpdate($selectCriteria, $criteria, $con);
	}

	
	public static function doDeleteAll($con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(self::DATABASE_NAME);
		}
		$affectedRows = 0; 		try {
									$con->begin();
			$affectedRows += BasePeer::doDeleteAll(ComisionadosContratoPeer::TABLE_NAME, $con);
			$con->commit();
			return $affectedRows;
		} catch (PropelException $e) {
			$con->rollback();
			throw $e;
		}
	}

	
	 public static function doDelete($values, $con = null)
	 {
		if ($con === null) {
			$con = Propel::getConnection(ComisionadosContratoPeer::DATABASE_NAME);
		}

		if ($values instanceof Criteria) {
			$criteria = clone $values; 		} elseif ($values instanceof ComisionadosContrato) {

			$criteria = $values->buildPkeyCriteria();
		} else {
						$criteria = new Criteria(self::DATABASE_NAME);
												if(count($values) == count($values, COUNT_RECURSIVE))
			{
								$values = array($values);
			}
			$vals = array();
			foreach($values as $value)
			{

				$vals[0][] = $value[0];
				$vals[1][] = $value[1];
				$vals[2][] = $value[2];
			}

			$criteria->add(ComisionadosContratoPeer::ID_COMISION, $vals[0], Criteria::IN);
			$criteria->add(ComisionadosContratoPeer::NITOCC, $vals[1], Criteria::IN);
			$criteria->add(ComisionadosContratoPeer::VIGENCIA, $vals[2], Criteria::IN);
		}

				$criteria->setDbName(self::DATABASE_NAME);

		$affectedRows = 0; 
		try {
									$con->begin();
			
			$affectedRows += BasePeer::doDelete($criteria, $con);
			$con->commit();
			return $affectedRows;
		} catch (PropelException $e) {
			$con->rollback();
			throw $e;
		}
	}

	
	public static function doValidate(ComisionadosContrato $obj, $cols = null)
	{
		$columns = array();

		if ($cols) {
			$dbMap = Propel::getDatabaseMap(ComisionadosContratoPeer::DATABASE_NAME);
			$tableMap = $dbMap->getTable(ComisionadosContratoPeer::TABLE_NAME);

			if (! is_array($cols)) {
				$cols = array($cols);
			}

			foreach($cols as $colName) {
				if ($tableMap->containsColumn($colName)) {
					$get = 'get' . $tableMap->getColumn($colName)->getPhpName();
					$columns[$colName] = $obj->$get();
				}
			}
		} else {

		}

		$res =  BasePeer::doValidate(ComisionadosContratoPeer::DATABASE_NAME, ComisionadosContratoPeer::TABLE_NAME, $columns);
    if ($res !== true) {
        $request = sfContext::getInstance()->getRequest();
        foreach ($res as $failed) {
            $col = ComisionadosContratoPeer::translateFieldname($failed->getColumn(), BasePeer::TYPE_COLNAME, BasePeer::TYPE_PHPNAME);
            $request->setError($col, $failed->getMessage());
        }
    }

    return $res;
	}

	
	public static function retrieveByPK( $id_comision, $nitocc, $vigencia, $con = null) {
		if ($con === null) {
			$con = Propel::getConnection(self::DATABASE_NAME);
		}
		$criteria = new Criteria();
		$criteria->add(ComisionadosContratoPeer::ID_COMISION, $id_comision);
		$criteria->add(ComisionadosContratoPeer::NITOCC, $nitocc);
		$criteria->add(ComisionadosContratoPeer::VIGENCIA, $vigencia);
		$v = ComisionadosContratoPeer::doSelect($criteria, $con);

		return !empty($v) ? $v[0] : null;
	}
} 
if (Propel::isInit()) {
			try {
		BaseComisionadosContratoPeer::getMapBuilder();
	} catch (Exception $e) {
		Propel::log('Could not initialize Peer: ' . $e->getMessage(), Propel::LOG_ERR);
	}
} else {
			Propel::registerMapBuilder('lib.model.map.ComisionadosContratoMapBuilder');
}
